> ## Documentation Index
> Fetch the complete documentation index at: https://docs.inop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Titles

> Returns job title from the system that the user has access to



## OpenAPI

````yaml GET /titles
openapi: 3.1.0
info:
  title: INOP
  description: >-
    INOP API provides a powerful suite of endpoints designed to streamline and
    enhance the candidate screening process using AI-driven insights.
  license:
    name: MIT
    identifier: ''
  version: 1.0.0
servers:
  - url: https://public.api.inop.ai/v1/
security:
  - bearerAuth: []
paths:
  /titles:
    get:
      description: Returns job title from the system that the user has access to
      parameters:
        - name: limit
          in: query
          description: The maximum number of results to return
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: List of job titles
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    default: true
                  messages:
                    type: string
                    default: List of job titles
                  data:
                    type: array
                    default:
                      - id: 1238b802-34b0-406e-bbc1-fd2bce07ce9a
                        name: Networker
                      - id: 298e27aa-3341-44b7-8fd4-a331d64f47e7
                        name: Network Engineer/Network Administrator
                      - id: 3c6d58e7-c4be-4f45-be3e-a949c37bc939
                        name: Networking Technician
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````